package com.uas.account.service;

import java.util.List;

import com.uas.account.core.Page;
import com.uas.account.entity.Asset;
import com.uas.account.viewmodel.AssetView;

public interface AssetService {

	Asset save(Asset asset);

	Asset findOne(Long id);

	List<AssetView> findByApp(String appId);

	void delete(Asset asset);

	Page<Asset> findAll(String appId, int pageNumber, int pageSize);

}
